/*
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 * 
 *  http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 */
package javax.faces.component.html;

import javax.faces.component.UIComponent;
import javax.faces.el.ValueBinding;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;


// Generated from class javax.faces.component.html._HtmlOutputLabel.
//
// WARNING: This file was automatically generated. Do not edit it directly,
//          or you will lose your changes.
public class HtmlOutputLabel extends javax.faces.component.UIOutput
{

    static public final String COMPONENT_TYPE =
        "javax.faces.HtmlOutputLabel";


    public HtmlOutputLabel()
    {
        setRendererType("javax.faces.Label");
    }

    

    // Property: for
    private String _for;
    public String getFor()
    {
        if (_for != null)
        {
            return _for;
        }
        ValueBinding vb = getValueBinding("for");
        if (vb != null)
        {
            return (String) vb.getValue(getFacesContext());
        }
        return null;
    }

    public void setFor(String forParam)
    {
        this._for = forParam;
    }
    // Property: style
    private String _style;
    public String getStyle()
    {
        if (_style != null)
        {
            return _style;
        }
        ValueBinding vb = getValueBinding("style");
        if (vb != null)
        {
            return (String) vb.getValue(getFacesContext());
        }
        return null;
    }

    public void setStyle(String style)
    {
        this._style = style;
    }
    // Property: styleClass
    private String _styleClass;
    public String getStyleClass()
    {
        if (_styleClass != null)
        {
            return _styleClass;
        }
        ValueBinding vb = getValueBinding("styleClass");
        if (vb != null)
        {
            return (String) vb.getValue(getFacesContext());
        }
        return null;
    }

    public void setStyleClass(String styleClass)
    {
        this._styleClass = styleClass;
    }
    // Property: tabindex
    private String _tabindex;
    public String getTabindex()
    {
        if (_tabindex != null)
        {
            return _tabindex;
        }
        ValueBinding vb = getValueBinding("tabindex");
        if (vb != null)
        {
            return (String) vb.getValue(getFacesContext());
        }
        return null;
    }

    public void setTabindex(String tabindex)
    {
        this._tabindex = tabindex;
    }
    // Property: onblur
    private String _onblur;
    public String getOnblur()
    {
        if (_onblur != null)
        {
            return _onblur;
        }
        ValueBinding vb = getValueBinding("onblur");
        if (vb != null)
        {
            return (String) vb.getValue(getFacesContext());
        }
        return null;
    }

    public void setOnblur(String onblur)
    {
        this._onblur = onblur;
    }
    // Property: onfocus
    private String _onfocus;
    public String getOnfocus()
    {
        if (_onfocus != null)
        {
            return _onfocus;
        }
        ValueBinding vb = getValueBinding("onfocus");
        if (vb != null)
        {
            return (String) vb.getValue(getFacesContext());
        }
        return null;
    }

    public void setOnfocus(String onfocus)
    {
        this._onfocus = onfocus;
    }
    // Property: accesskey
    private String _accesskey;
    public String getAccesskey()
    {
        if (_accesskey != null)
        {
            return _accesskey;
        }
        ValueBinding vb = getValueBinding("accesskey");
        if (vb != null)
        {
            return (String) vb.getValue(getFacesContext());
        }
        return null;
    }

    public void setAccesskey(String accesskey)
    {
        this._accesskey = accesskey;
    }
    // Property: onclick
    private String _onclick;
    public String getOnclick()
    {
        if (_onclick != null)
        {
            return _onclick;
        }
        ValueBinding vb = getValueBinding("onclick");
        if (vb != null)
        {
            return (String) vb.getValue(getFacesContext());
        }
        return null;
    }

    public void setOnclick(String onclick)
    {
        this._onclick = onclick;
    }
    // Property: ondblclick
    private String _ondblclick;
    public String getOndblclick()
    {
        if (_ondblclick != null)
        {
            return _ondblclick;
        }
        ValueBinding vb = getValueBinding("ondblclick");
        if (vb != null)
        {
            return (String) vb.getValue(getFacesContext());
        }
        return null;
    }

    public void setOndblclick(String ondblclick)
    {
        this._ondblclick = ondblclick;
    }
    // Property: onkeydown
    private String _onkeydown;
    public String getOnkeydown()
    {
        if (_onkeydown != null)
        {
            return _onkeydown;
        }
        ValueBinding vb = getValueBinding("onkeydown");
        if (vb != null)
        {
            return (String) vb.getValue(getFacesContext());
        }
        return null;
    }

    public void setOnkeydown(String onkeydown)
    {
        this._onkeydown = onkeydown;
    }
    // Property: onkeypress
    private String _onkeypress;
    public String getOnkeypress()
    {
        if (_onkeypress != null)
        {
            return _onkeypress;
        }
        ValueBinding vb = getValueBinding("onkeypress");
        if (vb != null)
        {
            return (String) vb.getValue(getFacesContext());
        }
        return null;
    }

    public void setOnkeypress(String onkeypress)
    {
        this._onkeypress = onkeypress;
    }
    // Property: onkeyup
    private String _onkeyup;
    public String getOnkeyup()
    {
        if (_onkeyup != null)
        {
            return _onkeyup;
        }
        ValueBinding vb = getValueBinding("onkeyup");
        if (vb != null)
        {
            return (String) vb.getValue(getFacesContext());
        }
        return null;
    }

    public void setOnkeyup(String onkeyup)
    {
        this._onkeyup = onkeyup;
    }
    // Property: onmousedown
    private String _onmousedown;
    public String getOnmousedown()
    {
        if (_onmousedown != null)
        {
            return _onmousedown;
        }
        ValueBinding vb = getValueBinding("onmousedown");
        if (vb != null)
        {
            return (String) vb.getValue(getFacesContext());
        }
        return null;
    }

    public void setOnmousedown(String onmousedown)
    {
        this._onmousedown = onmousedown;
    }
    // Property: onmousemove
    private String _onmousemove;
    public String getOnmousemove()
    {
        if (_onmousemove != null)
        {
            return _onmousemove;
        }
        ValueBinding vb = getValueBinding("onmousemove");
        if (vb != null)
        {
            return (String) vb.getValue(getFacesContext());
        }
        return null;
    }

    public void setOnmousemove(String onmousemove)
    {
        this._onmousemove = onmousemove;
    }
    // Property: onmouseout
    private String _onmouseout;
    public String getOnmouseout()
    {
        if (_onmouseout != null)
        {
            return _onmouseout;
        }
        ValueBinding vb = getValueBinding("onmouseout");
        if (vb != null)
        {
            return (String) vb.getValue(getFacesContext());
        }
        return null;
    }

    public void setOnmouseout(String onmouseout)
    {
        this._onmouseout = onmouseout;
    }
    // Property: onmouseover
    private String _onmouseover;
    public String getOnmouseover()
    {
        if (_onmouseover != null)
        {
            return _onmouseover;
        }
        ValueBinding vb = getValueBinding("onmouseover");
        if (vb != null)
        {
            return (String) vb.getValue(getFacesContext());
        }
        return null;
    }

    public void setOnmouseover(String onmouseover)
    {
        this._onmouseover = onmouseover;
    }
    // Property: onmouseup
    private String _onmouseup;
    public String getOnmouseup()
    {
        if (_onmouseup != null)
        {
            return _onmouseup;
        }
        ValueBinding vb = getValueBinding("onmouseup");
        if (vb != null)
        {
            return (String) vb.getValue(getFacesContext());
        }
        return null;
    }

    public void setOnmouseup(String onmouseup)
    {
        this._onmouseup = onmouseup;
    }
    // Property: dir
    private String _dir;
    public String getDir()
    {
        if (_dir != null)
        {
            return _dir;
        }
        ValueBinding vb = getValueBinding("dir");
        if (vb != null)
        {
            return (String) vb.getValue(getFacesContext());
        }
        return null;
    }

    public void setDir(String dir)
    {
        this._dir = dir;
    }
    // Property: lang
    private String _lang;
    public String getLang()
    {
        if (_lang != null)
        {
            return _lang;
        }
        ValueBinding vb = getValueBinding("lang");
        if (vb != null)
        {
            return (String) vb.getValue(getFacesContext());
        }
        return null;
    }

    public void setLang(String lang)
    {
        this._lang = lang;
    }
    // Property: title
    private String _title;
    public String getTitle()
    {
        if (_title != null)
        {
            return _title;
        }
        ValueBinding vb = getValueBinding("title");
        if (vb != null)
        {
            return (String) vb.getValue(getFacesContext());
        }
        return null;
    }

    public void setTitle(String title)
    {
        this._title = title;
    }

    public Object saveState(FacesContext facesContext)
    {
        Object[] values = new Object[21];
        values[0] = super.saveState(facesContext);
        values[1] = _for;
        values[2] = _style;
        values[3] = _styleClass;
        values[4] = _tabindex;
        values[5] = _onblur;
        values[6] = _onfocus;
        values[7] = _accesskey;
        values[8] = _onclick;
        values[9] = _ondblclick;
        values[10] = _onkeydown;
        values[11] = _onkeypress;
        values[12] = _onkeyup;
        values[13] = _onmousedown;
        values[14] = _onmousemove;
        values[15] = _onmouseout;
        values[16] = _onmouseover;
        values[17] = _onmouseup;
        values[18] = _dir;
        values[19] = _lang;
        values[20] = _title;
        return values; 
    }

    public void restoreState(FacesContext facesContext, Object state)
    {
        Object[] values = (Object[])state;
        super.restoreState(facesContext,values[0]);
        _for = (java.lang.String) values[1];
        _style = (java.lang.String) values[2];
        _styleClass = (java.lang.String) values[3];
        _tabindex = (java.lang.String) values[4];
        _onblur = (java.lang.String) values[5];
        _onfocus = (java.lang.String) values[6];
        _accesskey = (java.lang.String) values[7];
        _onclick = (java.lang.String) values[8];
        _ondblclick = (java.lang.String) values[9];
        _onkeydown = (java.lang.String) values[10];
        _onkeypress = (java.lang.String) values[11];
        _onkeyup = (java.lang.String) values[12];
        _onmousedown = (java.lang.String) values[13];
        _onmousemove = (java.lang.String) values[14];
        _onmouseout = (java.lang.String) values[15];
        _onmouseover = (java.lang.String) values[16];
        _onmouseup = (java.lang.String) values[17];
        _dir = (java.lang.String) values[18];
        _lang = (java.lang.String) values[19];
        _title = (java.lang.String) values[20];
    }
}
